Bug 961833 - [RFE] rpmbuild option to show what packages would be built
[RFE] rpmbuild option to show what packages would be built
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 09:57 EDT by jcpunk
Modified: 2016-03-09 08:53 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 08:53:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jcpunk 2013-05-10 09:57:54 EDT
Description of problem:
I've got a complex rpm I use internally, it has a number of defines and so forth.  It would be nice to have some sort of rpmbuild option to show what packages would be built from 'rpmbuild -ba' if I were to run it.  This would greatly simplify my development.

A more public example of this type of complexity is the ZFS on Linux RPMS.

Version-Release number of selected component (if applicable):rpm-4.11.0.1-2.fc20


How reproducible: always


Steps to Reproduce:
1. take complex rpm spec
2. make some changes to how the complexity is resolved
3. wish I could check what would build without actually building it, in case I made an error
  
Actual results:
have to build the package


Expected results:
some way of checking what it wants to do before doing it.

Additional info:
Comment 1 Panu Matilainen 2013-07-10 03:22:13 EDT
'rpmspec -q <spec>' (and --parse) should help debugging complex specs, but its currently missing an option to only show the packages that would be built (ie packages that have a %files section).

Note You need to log in before you can comment on or make changes to this bug.